From 56848a0bc7aa80d66a5b7fea34c495d6f1c58e09 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:07:32 +0000
Subject: [PATCH 835/1001] Don't use TestCase methods when it's not necessary


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index 6680c2c..c060b42 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -85,23 +85,6 @@ class APPTest(unittest.TestCase):
     # TODO - test that it is in the registry
     # TODO - test that it has all the things it needs
 
-    def widget_instance(self, hubname, plugin):
-        hub = hubs.models.Hub.by_name(hubname)
-        if not hub:
-            raise ValueError("No such hub %r" % hubname)
-        for widget in hub.widgets:
-            if widget.plugin == plugin:
-                return widget
-        raise KeyError("No such widget found for %s/%s" % (hubname, plugin))
-
-    @staticmethod
-    def get_fedmsg(idx):
-        url = 'https://apps.fedoraproject.org/datagrepper/id'
-        response = requests.get(url, params=dict(id=idx))
-        if not bool(response):
-            raise IOError("Failed to talk to %r %r" % (response.url, response))
-        return response.json()
-
     def check_url(self, url, user=None, code=200):
         with auth_set(hubs.app.app, user):
             with captured_templates(hubs.app.app) as templates:
@@ -117,6 +100,24 @@ class APPTest(unittest.TestCase):
         return response
 
 
+def get_fedmsg(idx):
+    url = 'https://apps.fedoraproject.org/datagrepper/id'
+    response = requests.get(url, params=dict(id=idx))
+    if not bool(response):
+        raise IOError("Failed to talk to %r %r" % (response.url, response))
+    return response.json()
+
+
+def widget_instance(hubname, plugin):
+    hub = hubs.models.Hub.by_name(hubname)
+    if not hub:
+        raise ValueError("No such hub %r" % hubname)
+    for widget in hub.widgets:
+        if widget.plugin == plugin:
+            return widget
+    raise KeyError("No such widget found for %s/%s" % (hubname, plugin))
+
+
 @contextmanager
 def auth_set(APP, auth):
     """
diff --git a/hubs/tests/widgets/__init__.py b/hubs/tests/widgets/__init__.py
index 7d171e4..653e9d6 100644
--- a/hubs/tests/widgets/__init__.py
+++ b/hubs/tests/widgets/__init__.py
@@ -4,7 +4,7 @@ import json
 import unittest
 
 import hubs.models
-from hubs.tests import APPTest, FakeAuthorization
+from hubs.tests import APPTest, FakeAuthorization, widget_instance
 
 
 class WidgetTest(APPTest):
@@ -28,7 +28,7 @@ class WidgetTest(APPTest):
         if not self.plugin:
             raise unittest.SkipTest
         hub = hubs.models.Hub.query.get("ralph")
-        widget = self.widget_instance(hub.name, self.plugin)
+        widget = widget_instance(hub.name, self.plugin)
         url = '/%s/w/%s/%i/' % (hub.name, self.plugin, widget.idx)
         # Public
         self.check_url(url, None, 200)
diff --git a/hubs/tests/widgets/test_about.py b/hubs/tests/widgets/test_about.py
index dd00e20..0766de2 100644
--- a/hubs/tests/widgets/test_about.py
+++ b/hubs/tests/widgets/test_about.py
@@ -2,7 +2,7 @@ from __future__ import unicode_literals
 
 import json
 
-from hubs.tests import FakeAuthorization
+from hubs.tests import FakeAuthorization, widget_instance
 from . import WidgetTest
 
 
@@ -10,7 +10,7 @@ class TestAbout(WidgetTest):
     plugin = 'about'  # The name in hubs.widgets.registry
 
     def test_data_simple(self):
-        widget = self.widget_instance('ralph', self.plugin)
+        widget = widget_instance('ralph', self.plugin)
         user = FakeAuthorization('ralph')
         response = self.check_url('/ralph/%i/json' % widget.idx, user)
         data = json.loads(response.get_data(as_text=True))
diff --git a/hubs/tests/widgets/test_badges.py b/hubs/tests/widgets/test_badges.py
index 3cd2ee2..d460a1f 100644
--- a/hubs/tests/widgets/test_badges.py
+++ b/hubs/tests/widgets/test_badges.py
@@ -3,7 +3,7 @@ from __future__ import unicode_literals
 import json
 
 import hubs.widgets
-from hubs.tests import FakeAuthorization
+from hubs.tests import FakeAuthorization, widget_instance
 from . import WidgetTest
 
 
@@ -11,7 +11,7 @@ class TestBadges(WidgetTest):
     plugin = 'badges'  # The name in hubs.widgets.registry
 
     def test_data_simple(self):
-        widget = self.widget_instance('ralph', self.plugin)
+        widget = widget_instance('ralph', self.plugin)
         user = FakeAuthorization('ralph')
         response = self.check_url('/ralph/%i/json' % widget.idx, user)
         data = json.loads(response.get_data(as_text=True))
@@ -19,8 +19,9 @@ class TestBadges(WidgetTest):
         self.assertIn('assertions', data['data'].keys())
 
     def test_should_invalidate_wrong_topic(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        # msg = self.get_fedmsg('2016-ebb84660-59e9-4e68-af8f-4e6f49348b88')
+        widget = widget_instance('ralph', self.plugin)
+        # from hubs.tests import get_fedmsg
+        # msg = get_fedmsg('2016-ebb84660-59e9-4e68-af8f-4e6f49348b88')
         msg = {'topic': 'hubs.widget.update.WRONG.TOPIC'}
         module = hubs.widgets.registry[widget.plugin]
         func = module.get_cached_functions()['GetBadges']
@@ -28,8 +29,9 @@ class TestBadges(WidgetTest):
         self.assertFalse(result)
 
     def test_should_invalidate_wrong_user(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        # msg = self.get_fedmsg('2016-e371c7f6-bc8e-4632-8e33-b9102dc30b5f')
+        widget = widget_instance('ralph', self.plugin)
+        # from hubs.tests import get_fedmsg
+        # msg = get_fedmsg('2016-e371c7f6-bc8e-4632-8e33-b9102dc30b5f')
         msg = {'topic': 'fedbadges.badge.award',
                'msg': {'user': {'username': 'not_ralph'}}}
         module = hubs.widgets.registry[widget.plugin]
@@ -38,8 +40,9 @@ class TestBadges(WidgetTest):
         self.assertFalse(result)
 
     def test_should_invalidate_good_match_fedbadges(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        # msg = self.get_fedmsg('2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4')
+        widget = widget_instance('ralph', self.plugin)
+        # from hubs.tests import get_fedmsg
+        # msg = get_fedmsg('2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4')
         msg = {'topic': 'fedbadges.badge.award',
                'msg': {'user': {'username': 'ralph'}}}
         module = hubs.widgets.registry[widget.plugin]
@@ -48,8 +51,9 @@ class TestBadges(WidgetTest):
         self.assertTrue(result)
 
     def test_should_invalidate_good_match_hubswidget(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        # msg = self.get_fedmsg('2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4')
+        widget = widget_instance('ralph', self.plugin)
+        # from hubs.tests import get_fedmsg
+        # msg = get_fedmsg('2016-1fbb1135-681b-4d3b-9a40-d0f6ebd313f4')
         msg = {'topic': 'hubs.widget.update',
                'msg': {'widget': {'id': widget.idx + 1}}}
         module = hubs.widgets.registry[widget.plugin]
diff --git a/hubs/tests/widgets/test_fedmsgstats.py b/hubs/tests/widgets/test_fedmsgstats.py
index 87b5ae0..c7f7ce2 100644
--- a/hubs/tests/widgets/test_fedmsgstats.py
+++ b/hubs/tests/widgets/test_fedmsgstats.py
@@ -2,7 +2,7 @@ from __future__ import unicode_literals
 
 import json
 
-from hubs.tests import FakeAuthorization
+from hubs.tests import FakeAuthorization, widget_instance
 from . import WidgetTest
 
 
@@ -10,7 +10,7 @@ class TestFedmsgStats(WidgetTest):
     plugin = 'fedmsgstats'  # The name in hubs.widgets.registry
 
     def test_data_simple(self):
-        widget = self.widget_instance('ralph', self.plugin)
+        widget = widget_instance('ralph', self.plugin)
         user = FakeAuthorization('ralph')
         response = self.check_url('/ralph/%i/json' % widget.idx, user)
         data = json.loads(response.get_data(as_text=True))
diff --git a/hubs/tests/widgets/test_halp.py b/hubs/tests/widgets/test_halp.py
index a9d296d..2e33ade 100644
--- a/hubs/tests/widgets/test_halp.py
+++ b/hubs/tests/widgets/test_halp.py
@@ -4,7 +4,7 @@ import json
 
 from hubs.app import app
 from hubs.models import Hub, User
-from hubs.tests import FakeAuthorization
+from hubs.tests import FakeAuthorization, widget_instance
 from hubs.widgets import registry
 from . import WidgetTest
 
@@ -84,7 +84,7 @@ class HalpViewsTestCase(WidgetTest):
 
     def setUp(self):
         super(HalpViewsTestCase, self).setUp()
-        self.widget = self.widget_instance('ralph', self.plugin)
+        self.widget = widget_instance('ralph', self.plugin)
         config = self.widget.config
         config["hubs"] = ["fedora-devel"]
         config["per_page"] = 3
@@ -330,7 +330,7 @@ class HalpFunctionsTestCase(WidgetTest):
         super(HalpFunctionsTestCase, self).setUp()
         module = registry[self.plugin]
         func_class = module.get_cached_functions()['GetRequests']
-        self.widget = self.widget_instance('ralph', self.plugin)
+        self.widget = widget_instance('ralph', self.plugin)
         self.func = func_class(self.widget)
         # The tested widget watches the infra hub.
         config = self.widget.config
diff --git a/hubs/tests/widgets/test_library.py b/hubs/tests/widgets/test_library.py
index 6d85ad2..f8651e4 100644
--- a/hubs/tests/widgets/test_library.py
+++ b/hubs/tests/widgets/test_library.py
@@ -2,7 +2,7 @@ from __future__ import unicode_literals
 
 import json
 
-from hubs.tests import FakeAuthorization
+from hubs.tests import FakeAuthorization, widget_instance
 from . import WidgetTest
 
 
@@ -10,7 +10,7 @@ class TestLibrary(WidgetTest):
     plugin = 'library'  # The name in hubs.widgets.registry
 
     def test_data_simple(self):
-        widget = self.widget_instance('ralph', self.plugin)
+        widget = widget_instance('ralph', self.plugin)
         user = FakeAuthorization('ralph')
         response = self.check_url('/ralph/%i/json' % widget.idx, user)
         data = json.loads(response.get_data(as_text=True))
diff --git a/hubs/tests/widgets/test_meetings.py b/hubs/tests/widgets/test_meetings.py
index 49f088b..0ac32a6 100644
--- a/hubs/tests/widgets/test_meetings.py
+++ b/hubs/tests/widgets/test_meetings.py
@@ -2,7 +2,7 @@ from __future__ import unicode_literals
 
 import json
 
-from hubs.tests import FakeAuthorization
+from hubs.tests import FakeAuthorization, widget_instance
 from . import WidgetTest
 
 
@@ -11,7 +11,7 @@ class TestMeetings(WidgetTest):
 
     def test_data_simple(self):
         team = 'i18n'
-        widget = self.widget_instance(team, self.plugin)
+        widget = widget_instance(team, self.plugin)
         user = FakeAuthorization('ralph')
         response = self.check_url('/%s/%i/json' % (team, widget.idx), user)
         data = json.loads(response.get_data(as_text=True))
@@ -20,7 +20,7 @@ class TestMeetings(WidgetTest):
 
     def test_render_simple(self):
         team = 'i18n'
-        widget = self.widget_instance(team, self.plugin)
+        widget = widget_instance(team, self.plugin)
         user = FakeAuthorization('ralph')
         url = '/%s/w/%s/%i/' % (team, self.plugin, widget.idx)
         response = self.check_url(url, user)

